<?php
namespace PowerFlux;

require_once(__DIR__ . '/../vendor/autoload.php');
header('content-type: application/json');

class UpdateAncientApp {

    public function __construct()
    {
        Configuration::setDebug(false); //PHP debugging


        //User Options
        Configuration::setToggleOutput(true); //Outputs various info in JSON format : true/false
        Configuration::setToggleLog(true); //Write to log file : true/false
        ErrorOutput::setLogLeveL("info"); //Log level : DEBUG->INFO->NOTICE->WARNING->ERROR (default is info)
    
        //If no custom path is set the files will be placed in the root(php_app) folder
        Configuration::setSettingsPath(Configuration::defaultpath);
        Configuration::setLogPath(Configuration::defaultpath);
        Configuration::setAppPath(Configuration::defaultpath);
            //For modifying the path for settings.json, log.txt and app.json, replace the above with, for example:
            // Configuration::setSettingsPath("/var/www/clients/client0/web20/private/elo/");
        //End of Options


        Configuration::setSettingsEntry("refresh_token", getenv('REFRESH_TOKEN') );
        Configuration::setSettingsEntry("influxdb_url", getenv('INFLUXDB_URL') );
        Configuration::setSettingsEntry("influxdb_token", getenv('INFLUXDB_TOKEN') );
        Configuration::setSettingsEntry("influxdb_bucket", getenv('INFLUXDB_BUCKET') );
        Configuration::setSettingsEntry("influxdb_org", getenv('INFLUXDB_ORG') );


        Configuration::setSettingsEntry("date_to", Common::getTimeDate());

        $meter = Configuration::getMeters();
        $startperiod = Configuration::getSettingsEntry("date_from");
        $endperiod = Configuration::getSettingsEntry("date_to");

        $periods = Common::getAncientPeriods($startperiod, $endperiod);
        $r = Influxdb::doAncientPeriods(periods: $periods, meter: $meter);

        $uinterval = Common::getTime()-28800;
        Configuration::setAppEntry("timestamp_data", $uinterval);

        $j = array();
        $j["periods"] = $periods;
        $j["info"] = Common::getInfoData();
        echo json_encode($j, JSON_PRETTY_PRINT); 
    }

}


new UpdateAncientApp();



?>